Edushade Docs
Event_speakers

Create speaker

POST
/admin/speakers
AuthorizationBearer <token>

In: header

avatarstring
Default"https://example.com/speakers/sarah-wilson.jpg"
Formaturi
biostring
Default"Professor of Computer Science with 15 years of experience in AI research"
companystring
Default"Tech University"
designationstring
Default"Professor of Computer Science"
emailstring
Default"sarah.wilson@university.edu"
Formatemail
expertisearray<string>
namestring
Default"Dr. Sarah Wilson"
social_linksobject
statusstring
Default"published"

Response Body

curl -X POST "https://edushade.com/api/v1/admin/speakers" \
  -H "Content-Type: application/json" \
  -d '{
    "avatar": "https://example.com/speakers/sarah-wilson.jpg",
    "bio": "Professor of Computer Science with 15 years of experience in AI research",
    "company": "Tech University",
    "designation": "Professor of Computer Science",
    "email": "sarah.wilson@university.edu",
    "expertise": [
      "string"
    ],
    "name": "Dr. Sarah Wilson",
    "social_links": {
      "linkedin": "https://linkedin.com/in/sarahwilson",
      "twitter": "https://twitter.com/sarahwilson_ai",
      "website": "https://sarahwilson.ai"
    },
    "status": "published"
  }'
{}
Empty
Empty
Empty